Bug 352061 - nautilus shift-double-click is broken
nautilus shift-double-click is broken
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
: 454856 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-25 07:28 EDT by Trevor Cordes
Modified: 2015-03-03 17:31 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.22.5.1-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-21 08:43:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Trevor Cordes 2007-10-25 07:28:59 EDT
Description of problem:
In FC5 (don't know about 6), you could shift-double-click a folder in Nautilus
file manager and it would open a new window with the contents of the folder you
clicked.  The previous (clicked-on) window would remain unchanged.

In F7, shift-double-click opens a new window as before, but the previous
(clicked-on) window also opens into that directory!  I can see no reason why one
would want this behavior.  I cannot figure out a way to achieve the same
behavior as before with any other modifier-clicks.  I use this feature all the
time and really miss it.

Version-Release number of selected component (if applicable):
nautilus-2.18.3-1.fc7

How reproducible:
always

Steps to Reproduce:
1. open file manager nautilus to a folder like your home dir
2. find a folder and shift-double-click
3.
  
Actual results:
new window opens and current window changes to clicked folder

Expected results:
new window should open, existing window should not change to new folder

Additional info:
Comment 1 Trevor Cordes 2007-11-16 10:47:58 EST
Bug present in F8 also.
Comment 2 Bug Zapper 2008-05-14 10:51:36 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Trevor Cordes 2008-05-21 04:35:08 EDT
Still present in F8.  Updated bug version.
Comment 4 Pedro Matiello 2008-07-09 22:08:46 EDT
Started to happen in F9 now.
Comment 5 Pedro Matiello 2008-07-10 03:14:46 EDT
Just for information, it started to happen after the update to
nautilus-2.22.4-1.fc9.i386
Comment 6 Tomáš Bžatek 2008-07-14 07:40:08 EDT
Tested on several Nautilus versions (incl. nautilus-2.22.4-1.fc9.i386), the
behaviour is that after shift-doubleclick a new window is opened with contents
of clicked folder and the old window is closed. Note that I'm using spatial
view. There's no gconf option to change this behaviour.
Comment 7 Patrick Steiner 2008-07-14 09:44:56 EDT
i also can confirm, that it works with spatial/list view. it does not work with
icon view. tested with nautilus (nautilus-2.22.4-1.fc9.i386)
Comment 8 John Poelstra 2008-07-15 15:26:47 EDT
changing version to 9 to reflect latest version problem has been seen
Comment 9 Patrick Steiner 2008-07-16 14:57:57 EDT
seems to be fixed in nautilus-2.22.5.1-1.fc9 from updates-testing
Comment 10 John Poelstra 2008-07-18 18:11:12 EDT
Patrick, thanks for your update.

Tomas, okay to close this bug?

Thanks,
John
Comment 11 Tomáš Bžatek 2008-07-21 08:43:22 EDT
Tested again in nautilus-2.22.5.1-1.fc9 and confirmed working. nautilus-2.22.4
introduced double-click issue which affected this one as well.

Closing as fixed.
Comment 12 Tomáš Bžatek 2008-07-21 08:46:59 EDT
*** Bug 454856 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.